Subject: Re: [PATCH] SUNRPC: Add a check for gss_release_msg

From: Greg KH <[email-masked]>
Date: Wed, 21 Apr 2021 12:21:01 +0200

On Wed, Apr 21, 2021 at 11:07:11AM +0100, Sudip Mukherjee wrote:
> Hi Greg,
> 
> On Wed, Apr 21, 2021 at 6:44 AM Greg KH <[email-masked]> wrote:
> >
> > On Wed, Apr 21, 2021 at 08:10:25AM +0300, Leon Romanovsky wrote:
> > > On Tue, Apr 20, 2021 at 01:10:08PM -0400, J. Bruce Fields wrote:
> > > > On Tue, Apr 20, 2021 at 09:15:23AM +0200, Greg KH wrote:
> > > > > If you look at the code, this is impossible to have happen.
> > > > >
> 
> <snip>
> 
> > > They introduce kernel bugs on purpose. Yesterday, I took a look on 4
> > > accepted patches from Aditya and 3 of them added various severity security
> > > "holes".
> >
> > All contributions by this group of people need to be reverted, if they
> > have not been done so already, as what they are doing is intentional
> > malicious behavior and is not acceptable and totally unethical.  I'll
> > look at it after lunch unless someone else wants to do it...
> 
> A lot of these have already reached the stable trees. I can send you
> revert patches for stable by the end of today (if your scripts have
> not already done it).

Yes, if you have a list of these that are already in the stable trees,
that would be great to have revert patches, it would save me the extra
effort these mess is causing us to have to do...

thanks,

greg k-h